.lm.rm
.ifnot hlp
.HL 1 MODE SETTING 
.INDEX Mode setting 
.endif hlp
.LEFT MARGIN +5 
.if hlp.i-6;3 AUTOBREAK
.endif hlp
.s.tt7.i-5;_.AUTOBREAK ["characters-to-test"]
.i-5;_.AB ["characters-to-test"]
.i-3;_.NO AUTOBREAK ["characters-to-disable"]
.i-3;_.NAB
.x NO>AUTOBREAK
.p .x AUTOBREAK
_.AUTOBREAK allows automatic optional breaks after selected characters.
The selected characters are specified in a literal string.
.ifnot small
.x Hyphenation
For example you wish to have breaks after hyphens, so you issue the command
_.AB '-'. Then if the word self-deceit overflows the end of a line RNO can
then break the word after the hyphen. Another use would be in tabulation.  For
examples of this see the _.TAB RIGHT command. _.NO AUTOBREAK turns off the
automatic break feature and any characters you wish to disable as autobreak
characters may be listed in a literal. If you turn off autobreak for spaces
then they no longer act as separators between words. 
A character preceeded by an accept flag "__" will not autobreak.
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT _.NO AUTOBREAK
.if hlp.i-6;3 AUTOHYPHENATE
.endif hlp
.tt7.s.i-5;_.AUTOHYPHENATE [size],[begin],[end],[mode][,"chars"]
.i-5;_.AH  [size],[begin],[end],[mode][,"chars"]
.i-3;_.NO AUTOHYPHENATE [,"chars"]
.i-3;_.NAH [,"chars"]
.x NO>AUTOHYPHENATE 
.p .x AUTOHYPHENATE
.x Hyphenation
These commands control automatic hyphenation.  
.ifnot small
When it is on RNO will automatically hyphenate words wherever necessary.  If
_.DISABLE HYPHENATION is used all hyphenation including autohyphenation is
disabled, until _.ENABLE HYPHENATION is issued. The autohyphenation follows
the normal rules of style.  A hyphenated word will always leave at least 2
letters on the end of first line, and at least 3 on the beginning of the next.
These rules may be changed by the parameters. If a parameter is omitted it
keeps its previous value. When it is off user selectable hyphenation may still
be used.  Note that autohyphenation may be turned off temporarily for 1 word
by preceeding it with the hyphenate flag. 
.p
_.NO AUTOHYPHENATE turns off all autohyphenation and selects characters not
allowed inside hyphenated words. For example "." will prevent hyphenation of
words at the end of sentences. To disable hyphenation when these characters
are present, but allow autohyphenation, the _.NO AUTOHYPHENATE command must be
followed by the _.AUTOHYPHENATE command. 
.if hlp
.if rsx.i5;ADDITIONAL HELP AVAILABLE: parameters
.endif rsx
.i-6;4 parameters
.endif hlp
.endif small
.i-2;size##= The minimum number of characters/word.
.i-2;begin#= The minimum number of characters at the beginning of a line.
.i-2;end###= The minimum number of characters at end of a line.
.i-2;mode##= The hyphenation mode.  0 produces maximum hyphenation with
possibly some inaccuracy. 1 hyphenates according to the suffix/prefix  tables
only for maximum accuracy. 
.i-2;"chars"= Special characters allowed in hyphenated words.
.i5;DEFAULT: _.AH 5,2,3,0,'_\/.,()"@'
.ifnot small
.i5;For more information see _.ENABLE HYPHENATION.
.i5;(Not available in DSR)
.endif small
.if hlp.i-6;3 AUTOPARAGRAPH
.endif hlp
.s.tt7.i-5;_.AUTOPARAGRAPH 
.i-5;_.AP 
.i-3;_.NO AUTOPARAGRAPH 
.i-3;_.NAP 
.x NO>AUTOPARAGRAPH 
.p .x AUTOPARAGRAPH 
_.AUTOPARAGRAPH causes any blank line or any line starting with a space or tab
to be considered as the start of a new paragraph. 
.ifnot small
This command allows normally typed text to be justified without special
commands. It does not cause a paragraph if blank lines are followed by a
command.  This command works only if FILL is enabled. When AUTOPARAGRAPH is
enabled all tabs at the start of a line are removed except in NOFILL mode. 
.i5;SEE - _.PARAGRAPH, _.SET PARAGRAPH
.endif small
.i5;DEFAULT _.NO AUTOPARAGRAPH
.if hlp.i-6;3 AUTOTABLE
.endif hlp
.s.tt7.i-5;_.AUTOTABLE 
.i-5;_.AT
.i-3;_.NO AUTOTABLE 
.i-3;_.NAT 
.x NO>AUTOTABLE 
.p .x AUTOTABLE 
_.AUTOTABLE causes any line not starting with a space or tab to 
be considered as the start of a new paragraph. 
.ifnot small
This command allows normally typed text to be justified without 
special commands.  This command works only if FILL is enabled.
When AUTOTABLE is enabled all tabs at the start of a line are removed
except in NOFILL mode.
See _.AUTOPARAGRAPH.
.endif small
.i5;DEFAULT _.NO AUTOTABLE
.if hlp.i-6;3 AUTOTITLE
.endif hlp
.s.tt7.i-5;_.AUTOTITLE
.i-5;_.ATI
.i-3;_.NO AUTOTITLE
.i-3;_.NAT
.x NO>AUTOTITLE
.p .x AUTOTITLE
_.AUTOTITLE enables automatic titles.  Everytime you give a _.CHAPTER
or _.APPENDIX command the chapter or appendix title will be used as the
title at the top of the page.  
.i5;DEFAULT:  _.AUTOTITLE
.i5;(Not available in DSR)
.if hlp.i-6;3 AUTOSUBTITLE
.endif hlp
.S.tt7.i-5;_.AUTOSUBTITLE [+-n]
.i-5;_.AST [+-n]
.i-3;_.NO AUTOSUBTITLE
.i-3;_.NAST
.x NO>AUTOSUBTITLE
.p .x AUTOSUBTITLE
When enabled each header level command lower than
n sets the subtitle to the current header level title.
.i5;DEFAULT:  _.NO AUTOSUBTITLE
.i5;The default for n is 1
.if hlp.i-6;3 BEGIN__BAR
.endif hlp
.s.tt7.i-5;_.BEGIN BAR 
.i-5;_.BB 
.i-3; _.END BAR 
.i-3; _.EB
.x END> BAR 
.p .x BEGIN BAR 
.x Change bar
These commands control whether the change bar is printed in the document. 
.ifnot small
After _.BEGIN BAR it is printed until _.END BAR. See _.ENABLE BAR. 
.endif small
.if hlp.i-6;3 FILL
.endif hlp
.s.tt10.i-5;_.FILL 
.i-5;_.F 
.i-3;_.NO FILL 
.i-3;_.NF
.x NO>FILL 
.p .x FILL 
_.FILL causes a break and specifies that subsequent output lines be filled.
Sets the justification mode to be that specified by the last appearance of
_.JUSTIFY or _.NO JUSTIFY. FILL adds successive words from the source text
until the adding of one more word will exceed the right margin. 
.ifnot small
If hyphenation has not been
disabled, RNO will attempt to break words which cause line overflow into
syllables. Normally the end of an input line is treated as a space unless the
command _.NO SPACE is used. Fill is normally enabled when RNO starts so you do
not need to use this command except after _.NO FILL. _.NO FILL is often used
to type a table or any text where you want the output to look exactly like the
input. An alternate way of achieving this is with the _.LITERAL command. 
.endif small
.i5;DEFAULT _.FILL
.ifnot small
.if hlp
.if RSX;Further help: rules
.endif rsx
.i-6;4 rules
.endif hlp
.s.c;RULES
.x
.list 0
.le; When .FILL is enabled, multiple or reduncant spaces are removed.  This
includes the following:
.list 0
.le; Spaces following spaces.
.le; Spaces following non expandable spaces "_#"
.le; Spaces following "tabs"
.le; Spaces at the beginning of a line.
.end list 0
.le; When .FILL is enabled the end of a line is treated exactly like a space.
.le; If both .FILL and .PERIOD are enabled a punctuation followed by a
space is converted to "punctuation", "space", "non expandable space".
.le; If .NO FILL is used, the end of a line is treated as a break ("_|").
.le; Regardless of whether .FILL or .NO FILL is used, if the input line
is longer than the available page size, and it contains no "normal" spaces,
it will be truncated to fit the available space.  The only exception to this
is when the line contains a "break" character ("_|").  Then the line
is divided at the break character to make it fit.
.end list 1
.endif small
.if hlp.i-6;3 JUSTIFY
.endif hlp
.s.tt7.i-5;_.JUSTIFY 
.i-5;_.J
.i-3;_.NO JUSTIFY 
.i-3;_.NJ 
.x NO>JUSTIFY 
.p .x JUSTIFY 
These commands cause a break and control the justify mode.
The justify mode increases the spaces between words until the last word 
exactly meets the right margin. 
.ifnot small
With justification off output lines will have a ragged right margin. 
.i5;DEFAULT:  _.JUSTIFY
.if hlp
.if rsx.i5;ADDITIONAL HELP AVAILABLE: rules
.endif rsx
.i-6;4 rules
.endif hlp
.s.c;RULES
.s.list 0
.le; If .JUSTIFY is enabled then all "normal" spaces are expanded or padded
to right justify the final output.
.le; If a break occurrs between lines, then the previous line is ^&NOT\&
justified.
.le; If an input line is shorter than the output line size and it
contains no "normal" spaces, the line can not be justified.  This is
indicated by an error message:
.c;"Can't justify  line"
.le; If .NO JUSTIFY is used then the output will not be padded with extra 
spaces, but if .FILL is enabled it will be missing redundant spaces.
.le;_.FILL normally turns _.JUSTIFY off unless preceeded by _.NO JUSTIFY.
.le;_.NO FILL always turns off justification. In order to justify 
but not fill (not recommended), a _.JUSTIFY command must 
follow every _.NO FILL  command. 
.end list
.endif small
.if hlp.i-6;3 KEEP
.ifnot small
.if rsx .i5;Further help: LINES TABS
.endif rsx
.i-6;4 LINES
.endif small
.endif hlp
.bb
.s.tt7.i-5;_.KEEP [LINES]
.i-5;_.K [LINES]
.i-3;_.NO KEEP [LINES]
.i-3;_.NK [LINES]
.x NO>KEEP>LINES
.p .x KEEP>LINES
_.KEEP LINES allows you to keep blank lines while in _.NO FILL mode.  
.ifnot small
Normally blank lines in the input are ignored 
.endif small

.i5;DEFAULT:  _.NO KEEP LINES
.ifnot small
.i5;(DST uses _.KEEP/_.NO KEEP)
.if hlp .i-6;4 TABS
.endif hlp
.endif small
.s.tt7.i-5;_.KEEP TABS
.i-5;_.K TABS
.i-3;_.NO KEEP TABS
.i-3;_.NK TABS
.x NO>KEEP>TABS
.p .x KEEP>TABS
_.KEEP TABS allows you to keep all tabs at the beginning of a line while in
_.FILL mode.  
.ifnot small
Autoparagraph mode also causes all tabs at the beginning of an input line to
be discarded, so _.KEEP TABS may not work with _.AUTOPARAGRAPH. 
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT:  _.KEEP TABS
.eb
.if hlp.i-6;3 LITERAL
.endif hlp
.S.tt7.i-5;_.LITERAL 
.i-5;_.LT 
.i-3; _.END LITERAL 
.i-3; _.ELI 
.x END> LITERAL 
.p .x LITERAL 
_.LITERAL turns off fill and all flags to permit printing of text exactly as it
appears in the source file.  In addition all commands are disabled until
_.END LITERAL.  
.ifnot small
Commands appear in the output as if they were normal text. 
Tabs are still recognized inside a literal. Blank lines are output instead of
being ignored.  This command is almost equivalent to the following sequence of
commands. 
.i5;_.NO FILL _.KEEP _.NO FLAGS ALL _.NO FLAGS CONTROL
.p
Unlike the sequence above the _.LITERAL command may be turned off by the _.END
LITERAL command. Tabs are still expanded inside a literal and if a special
feature has been turned on it will remain on for the duration of the literal. 
For example if the literal is preceeded by "_^_&" the entire literal text will
be underlined.  If you desire to use flags inside a literal use the commands
_.NO FILL _.KEEP to simulate the effect of a literal.  You may turn off
individual flags via _.DISABLE FLAGS. 
.ifnot hlp
.s.tt7.i-5;_.LOWER CASE 
.i-5;_.LC 
.p .x LOWER CASE 
sets the typeout mode to lower case. This command acts the same as typing two
backslashes (_\_\). This command is not normally used unless your terminal
lacks lower case. 
.s.tt7.i-5;_.UPPER CASE 
.i-5;_.UC 
.p .x UPPER CASE 
sets the output mode to upper case.  This command acts the same as typing two
circumflexes (_^_^). This is the default mode. There is no need to type this
command unless the mode was previously altered to lower case. 
.endif hlp
.endif small
.if hlp.i-6;3 PERIOD
.endif hlp
.s.tt7.i-5;_.PERIOD ["chars"]
.i-5;_.PR ["chars"]
.i-3;_.NO PERIOD ["chars"]
.i-3;_.NPR ["chars"]
.x NO>PERIOD 
.p .x PERIOD 
.x Punctuation>Terminal
_.PERIOD automatically prints two spaces after every terminal punctuation
followed by at least one space or tab character. 
.ifnot small
_.NO PERIOD disables conversion of punctuation/space to punctuation/two spaces
and specifies characters which will not cause 2 spaces when _.PERIOD is
engaged. If you wish to prevent 2 spaces from being inserted after one of
these punctuation marks you may quote the character or use a non expandable
space 
.x Space>Non expandable
after it. For example you wish to use an abbreviation such as "Char_.". You
can avoid the extra spaces by writing it "Char___." or "Char_._#".
.p;"chars" is a list of characters to be added to the terminal
punctuation list.  (This parameter is not available in DSR.)
Conversely the PERIOD flag can be used to add extra spaces without enabling
_.PERIOD.
The terminal punctuation list is changed only if the characters are specified.
.endif small
.i5;DEFAULT:  _.PERIOD ".:;?!"
.if hlp.i-6;3 SEPARATED__EQUATION
.endif hlp
.s.tt7.i-5;_.SEPARATED EQUATION
.i-5;_.SEQ
.x SEPARATED EQUATION
.i-3; _.END SEPARATED EQUATION
.i-3; _.ESEQ
.x END> SEPARATED EQUATION
.p .X EQUATION>SEPARATED
_.BEGIN SEPARATED EQUATION enables separated equation mode.  In this mode an
equation will automatically generate extra lines to separate it properly from
other equations or text. 
.ifnot small
This mode does not generate an breaks. This mode may not be used in a
FOOTNOTE. The restriction on this mode may be changed in future releases. If
you format an equation with the SEPARATED EQUATION mode off and the equation
occupies more than the alloted spacing, it may print over other text. 
.i5;SEE - _.ENABLE EQUATION, _.FLAGS EQUATION
.i5;DEFAULT:  _.END SEPARATED EQUATION
.i5;(Not available in DSR)
.endif small
.if hlp.i-6;3 UNDERLINE
.endif hlp
.tt7.S.I-5;_.UNDERLINE "chars to underline"
.I-5;_.UN "chars to underline"
.i-3;_.NO UNDERLINE "chars to not underline"
.i-3;_.NUN "chars to not underline"
.x NO>UNDERLINE
.p .x UNDERLINE
This command sets which characters are underlinable.  
.ifnot small
Normally all characters other than spaces are underlinable. For example you
wish to underline spaces so you use the following command: 
.i5;_.UNDERLINE " "
.p
For example you do not wish to underline
common punctuation marks so you use the command:
.i5;_.NO UNDERLINE ".,?!;:"
.br;If you don't want to underline either the apostrophe or quotes:
.i5;_.NO UNDERLINE "'"""
.i5;SEE - _.ENABLE UNDERLINING, _.FLAGS UNDERLINE
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: .NO UNDERLINE " "
.ifnot small
.ifnot hlp
.s.tt7.I-5;_.UNDERLINE SPACES 
.i-5;_.UNDERLINE NO SPACES 
.x UNDERLINE>NO SPACES 
.p .x UNDERLINE>SPACES 
Controls whether RUNOFF underlines spaces. 
.br;_.UNDERLINE SPACES is the same as _.UNDERLINE " ".
.i5;(Not available in DSR)
.endif hlp
.endif small
.if hlp.i-6;3 VARIABLE__SPACING
.endif hlp
.s.tt7.i-5;_.VARIABLE SPACING
.i-5;_.VARSP
.i-3;_.NO VARIABLE SPACING
.i-3;_.NVARSP
.x NO>VARIABLE SPACING
.p .x VARIABLE SPACING
These commands control the variable spacing mode.  In this mode RNO uses 
microspaces to pad out spaces between words for a justified line.  To use
this your printer must either be DIABLO compatible or you must define an
appropriate escape sequence for variable spacing via the
_.DEFINE VARIABLE SPACE command.
.ifnot small
This command should not be confused with proportional spacing.  Each letter
is still assumed to accupy the same amount of physical space unlike
a proportionally spaced font.
.note
When using _.VARIABLE SPACING and _.UNDERLINE"#" switch 
.if RT
/U:L
.else RT
/UL:L 
.ENDIF RT
will not work
correctly.  Gaps will be left in the underlining at each variable spacing
point.  For such cases
.if RT
/U:B
.else RT
/UL:B 
.ENDIF RT
is recommended.
.en
.i5;(Not available in DSR)
.endif small
.i5;DEFAULT: _.NO VARIABLE SPACING
.lm
